#pragma once

#include "Uri.hh"
#include <string>
#include <cstdint>
#include <memory>

struct net_request
{
    Uri uri;
    std::string resp_buf;
    uint8_t *completeEvent;
    uint8_t redirectCtr;
};

void GcOTInit(void);
void GcOTFini(void);

int GcFetchURI(net_request *);